<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xunwang.education.mapper.MyFavoriteNeedsMapper">

    <select id="findPersonCollectInfo" resultType="com.xunwang.education.entity.dto.MyStuNeedsDto">
        select sn.require_id, sn.name, sn.subject_big, sn.subject_small, sn.location_al, sn.location_str, sn.salary, sn.goal, sn.sex, sn.profile_photo
        from my_favorite_needs mfn join stu_needs sn on mfn.require_id = sn.require_id
        where mfn.uid = #{uid};
    </select>

</mapper>
